/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Entity.h"


namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "Entity::get_type"
  string Entity::get_type (void)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
    string _return = _type;
    log_printf(FUNC,Behavioural,FUNCTION,"End");

    return _return;
  };

}; // end namespace behavioural          
}; // end namespace morpheo
